# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Test2-Suite
Version:	0.000139
Release:	1.%{__distinit}%{__distvers}
Summary:	Set of tools built upon the Test2 framework
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Test2-Suite
Source0:	https://cpan.metacpan.org/authors/id/E/EX/EXODIST/Test2-Suite-%{version}.tar.gz
BuildArch:	noarch
# Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module Runtime
BuildRequires:	perl(B)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Importer) >= 0.010
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Module::Pluggable) >= 2.7
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util)
BuildRequires:	perl(Scope::Guard)
BuildRequires:	perl(strict)
BuildRequires:	perl(Sub::Info) >= 0.002
BuildRequires:	perl(Term::Table) >= 0.002
BuildRequires:	perl(Term::Table::Cell)
BuildRequires:	perl(Term::Table::LineBreak)
BuildRequires:	perl(Test2::API) >= 1.302176
BuildRequires:	perl(Test2::Hub::Interceptor)
BuildRequires:	perl(Test2::IPC)
BuildRequires:	perl(Test2::Util)
BuildRequires:	perl(Test2::Util::HashBase)
BuildRequires:	perl(Test2::Util::Trace)
BuildRequires:	perl(threads)
BuildRequires:	perl(Time::HiRes)
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(PerlIO)
# Optional Tests
BuildRequires:	perl(Term::ReadKey)
%if 0%{?fedora} > 14 || 0%{?rhel} > 7
BuildRequires:	perl(Unicode::GCString)
%endif
# Dependencies
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Data::Dumper)
Requires:	perl(Test2::API) >= 1.302176
Requires:	perl(threads)
Requires:	perl(utf8)

# Optional Functionality
# Prefers Sub::Util, falls back to Sub::Name
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl(Sub::Util)
Requires:	perl(Sub::Util)
%else
BuildRequires:	perl(Sub::Name) >= 0.11
Requires:	perl(Sub::Name) >= 0.11
%endif

# Test2::AsyncSubtest merged in at version 0.000087 (after F-27)
Obsoletes:	perl-Test2-AsyncSubtest < 0.000021
Provides:	perl-Test2-AsyncSubtest = %{version}-%{release}
# Test2::Workflow merged in at version 0.000087 (after F-27)
Obsoletes:	perl-Test2-Workflow < 0.000019
Provides:	perl-Test2-Workflow = %{version}-%{release}

%description
Rich set of tools, plugins, bundles, etc. built upon the Test2 testing
library. If you are interested in writing Perl tests this is the distribution
for you.

%prep
%setup -q -n Test2-Suite-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes README
%{perl_vendorlib}/Test2/
%{_mandir}/man3/Test2::AsyncSubtest.3*
%{_mandir}/man3/Test2::AsyncSubtest::Event::Attach.3*
%{_mandir}/man3/Test2::AsyncSubtest::Event::Detach.3*
%{_mandir}/man3/Test2::AsyncSubtest::Hub.3*
%{_mandir}/man3/Test2::Bundle.3*
%{_mandir}/man3/Test2::Bundle::Extended.3*
%{_mandir}/man3/Test2::Bundle::More.3*
%{_mandir}/man3/Test2::Bundle::Simple.3*
%{_mandir}/man3/Test2::Compare.3*
%{_mandir}/man3/Test2::Compare::Array.3*
%{_mandir}/man3/Test2::Compare::Bag.3*
%{_mandir}/man3/Test2::Compare::Base.3*
%{_mandir}/man3/Test2::Compare::Bool.3*
%{_mandir}/man3/Test2::Compare::Custom.3*
%{_mandir}/man3/Test2::Compare::DeepRef.3*
%{_mandir}/man3/Test2::Compare::Delta.3*
%{_mandir}/man3/Test2::Compare::Event.3*
%{_mandir}/man3/Test2::Compare::EventMeta.3*
%{_mandir}/man3/Test2::Compare::Float.3*
%{_mandir}/man3/Test2::Compare::Hash.3*
%{_mandir}/man3/Test2::Compare::Isa.3*
%{_mandir}/man3/Test2::Compare::Meta.3*
%{_mandir}/man3/Test2::Compare::Negatable.3*
%{_mandir}/man3/Test2::Compare::Number.3*
%{_mandir}/man3/Test2::Compare::Object.3*
%{_mandir}/man3/Test2::Compare::OrderedSubset.3*
%{_mandir}/man3/Test2::Compare::Pattern.3*
%{_mandir}/man3/Test2::Compare::Ref.3*
%{_mandir}/man3/Test2::Compare::Regex.3*
%{_mandir}/man3/Test2::Compare::Scalar.3*
%{_mandir}/man3/Test2::Compare::Set.3*
%{_mandir}/man3/Test2::Compare::String.3*
%{_mandir}/man3/Test2::Compare::Undef.3*
%{_mandir}/man3/Test2::Compare::Wildcard.3*
%{_mandir}/man3/Test2::Manual.3*
%{_mandir}/man3/Test2::Manual::Anatomy.3*
%{_mandir}/man3/Test2::Manual::Anatomy::API.3*
%{_mandir}/man3/Test2::Manual::Anatomy::Context.3*
%{_mandir}/man3/Test2::Manual::Anatomy::EndToEnd.3*
%{_mandir}/man3/Test2::Manual::Anatomy::Event.3*
%{_mandir}/man3/Test2::Manual::Anatomy::Hubs.3*
%{_mandir}/man3/Test2::Manual::Anatomy::IPC.3*
%{_mandir}/man3/Test2::Manual::Anatomy::Utilities.3*
%{_mandir}/man3/Test2::Manual::Concurrency.3*
%{_mandir}/man3/Test2::Manual::Contributing.3*
%{_mandir}/man3/Test2::Manual::Testing.3*
%{_mandir}/man3/Test2::Manual::Testing::Introduction.3*
%{_mandir}/man3/Test2::Manual::Testing::Migrating.3*
%{_mandir}/man3/Test2::Manual::Testing::Planning.3*
%{_mandir}/man3/Test2::Manual::Testing::Todo.3*
%{_mandir}/man3/Test2::Manual::Tooling.3*
%{_mandir}/man3/Test2::Manual::Tooling::FirstTool.3*
%{_mandir}/man3/Test2::Manual::Tooling::Formatter.3*
%{_mandir}/man3/Test2::Manual::Tooling::Nesting.3*
%{_mandir}/man3/Test2::Manual::Tooling::Plugin::TestExit.3*
%{_mandir}/man3/Test2::Manual::Tooling::Plugin::TestingDone.3*
%{_mandir}/man3/Test2::Manual::Tooling::Plugin::ToolCompletes.3*
%{_mandir}/man3/Test2::Manual::Tooling::Plugin::ToolStarts.3*
%{_mandir}/man3/Test2::Manual::Tooling::Subtest.3*
%{_mandir}/man3/Test2::Manual::Tooling::TestBuilder.3*
%{_mandir}/man3/Test2::Manual::Tooling::Testing.3*
%{_mandir}/man3/Test2::Mock.3*
%{_mandir}/man3/Test2::Plugin.3*
%{_mandir}/man3/Test2::Plugin::BailOnFail.3*
%{_mandir}/man3/Test2::Plugin::DieOnFail.3*
%{_mandir}/man3/Test2::Plugin::ExitSummary.3*
%{_mandir}/man3/Test2::Plugin::SRand.3*
%{_mandir}/man3/Test2::Plugin::Times.3*
%{_mandir}/man3/Test2::Plugin::UTF8.3*
%{_mandir}/man3/Test2::Require.3*
%{_mandir}/man3/Test2::Require::AuthorTesting.3*
%{_mandir}/man3/Test2::Require::EnvVar.3*
%{_mandir}/man3/Test2::Require::Fork.3*
%{_mandir}/man3/Test2::Require::Module.3*
%{_mandir}/man3/Test2::Require::Perl.3*
%{_mandir}/man3/Test2::Require::RealFork.3*
%{_mandir}/man3/Test2::Require::Threads.3*
%{_mandir}/man3/Test2::Suite.3*
%{_mandir}/man3/Test2::Todo.3*
%{_mandir}/man3/Test2::Tools.3*
%{_mandir}/man3/Test2::Tools::AsyncSubtest.3*
%{_mandir}/man3/Test2::Tools::Basic.3*
%{_mandir}/man3/Test2::Tools::Class.3*
%{_mandir}/man3/Test2::Tools::ClassicCompare.3*
%{_mandir}/man3/Test2::Tools::Compare.3*
%{_mandir}/man3/Test2::Tools::Defer.3*
%{_mandir}/man3/Test2::Tools::Encoding.3*
%{_mandir}/man3/Test2::Tools::Event.3*
%{_mandir}/man3/Test2::Tools::Exception.3*
%{_mandir}/man3/Test2::Tools::Exports.3*
%{_mandir}/man3/Test2::Tools::GenTemp.3*
%{_mandir}/man3/Test2::Tools::Grab.3*
%{_mandir}/man3/Test2::Tools::Mock.3*
%{_mandir}/man3/Test2::Tools::Ref.3*
%{_mandir}/man3/Test2::Tools::Spec.3*
%{_mandir}/man3/Test2::Tools::Subtest.3*
%{_mandir}/man3/Test2::Tools::Target.3*
%{_mandir}/man3/Test2::Tools::Tester.3*
%{_mandir}/man3/Test2::Tools::Warnings.3*
%{_mandir}/man3/Test2::Util::Grabber.3*
%{_mandir}/man3/Test2::Util::Ref.3*
%{_mandir}/man3/Test2::Util::Stash.3*
%{_mandir}/man3/Test2::Util::Sub.3*
%{_mandir}/man3/Test2::Util::Table.3*
%{_mandir}/man3/Test2::Util::Table::LineBreak.3*
%{_mandir}/man3/Test2::Util::Times.3*
%{_mandir}/man3/Test2::V0.3*
%{_mandir}/man3/Test2::Workflow.3*
%{_mandir}/man3/Test2::Workflow::BlockBase.3*
%{_mandir}/man3/Test2::Workflow::Build.3*
%{_mandir}/man3/Test2::Workflow::Runner.3*
%{_mandir}/man3/Test2::Workflow::Task.3*
%{_mandir}/man3/Test2::Workflow::Task::Action.3*
%{_mandir}/man3/Test2::Workflow::Task::Group.3*

%changelog
* Wed Dec 16 2020 Paul Howarth <paul@city-fan.org> - 0.000139-1
- Update to 0.000139
  - Add ISA checks (GH#230)
  - Fix Manual module that was missing package/return true (GH#229)

* Thu Oct 22 2020 Paul Howarth <paul@city-fan.org> - 0.000138-1
- Update to 0.000138
  - Test new syntax 'use Test2::Plugin::SRand seed => $seed;'
  - Update GitHub workflow with deprecated add-path
  - Merge doc fix (GH#215)
  - Merge strict fix for test (GH#218)

* Tue Oct  6 2020 Paul Howarth <paul@city-fan.org> - 0.000136-1
- Update to 0.000136
  - Fix typo Test2::Builder -> Test::Builder
  - Improve import logic for SRand
  - Other misc typo fixes

* Mon Aug 17 2020 Paul Howarth <paul@city-fan.org> - 0.000135-1
- Update to 0.000135
  - Add summary of missing/extra elements in compare diagnostics

* Fri Aug  7 2020 Paul Howarth <paul@city-fan.org> - 0.000132-1
- Update to 0.000132
  - Fix the grabber tool to inherit Test::Builder $TODO functionality
  - Fix minimum Test2 version

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 0.000130-2
- Perl 5.32 rebuild

* Sun May 31 2020 Paul Howarth <paul@city-fan.org> - 0.000130-1
- Update to 0.000130
  - Many documentation fixes

* Mon Feb  3 2020 Paul Howarth <paul@city-fan.org> - 0.000129-1
- Update to 0.000129
  - Improve error handling of mock->override with AUTOLOADed methods

* Thu Jan 30 2020 Paul Howarth <paul@city-fan.org> - 0.000128-1
- Update to 0.000128
  - Import option to skip utf8 import
  - Correct POD for Test2/Tools/Mock.pm's mocked() method
  - Fix miscellaneous typos in Test2(/Tools)/Mock.pm POD
  - Add GitHub actions
  - Fix PKG case for Test2::Tools::Target docs
  - Document target change in V0 and Bundle::Extended
  - Allow hashref to be used for Test2::Tools::Target

* Thu Oct 31 2019 Paul Howarth <paul@city-fan.org> - 0.000127-1
- Update to 0.000127
  - Fix srand toggling (GH#195, GH#196, GH#197)

* Thu Aug 29 2019 Paul Howarth <paul@city-fan.org> - 0.000126-1
- Update to 0.000126
  - Mention HUGE caveat in Test2::Plugin::Times
  - Make Test2::Util::Times::render_duration support 1 arg form

* Tue Aug 20 2019 Paul Howarth <paul@city-fan.org> - 0.000125-1
- Update to 0.000125
  - Add harness_job_fields to Times plugin

* Sat Aug 17 2019 Paul Howarth <paul@city-fan.org> - 0.000124-1
- Update to 0.000124
  - Fix double-load bug on Plugin::Times
  - Make Times plugin use INFO facets for display

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 0.000122-2
- Perl 5.30 rebuild

* Sun May 19 2019 Paul Howarth <paul@city-fan.org> - 0.000122-1
- Update to 0.000122
  - Fix diag issues with ClassicCompare

* Wed May  8 2019 Paul Howarth <paul@city-fan.org> - 0.000121-1
- Update to 0.000121
  - Tracking for mocked methods
  - Include raw table in facet data when compare fails

* Fri Apr 26 2019 Paul Howarth <paul@city-fan.org> - 0.000120-1
- Update to 0.000120
  - Allow all_items inside bag

* Sun Mar 17 2019 Paul Howarth <paul@city-fan.org> - 0.000119-1
- Update to 0.000119
  - Allow meta-checks in bag/array/hash

* Sun Jan 20 2019 Paul Howarth <paul@city-fan.org> - 0.000118-1
- Update to 0.000118
  - Fix typo Test::Workflow → Test2::Workflow (GH#170)
  - Fix test broken by new Test-Simple (GH#175)

* Wed Dec  5 2018 Paul Howarth <paul@city-fan.org> - 0.000117-1
- Update to 0.000117
  - Remove test that belongs in another dist

* Thu Nov 29 2018 Paul Howarth <paul@city-fan.org> - 0.000116-1
- Update to 0.000116
  - Add 'set' to mock tools
  - Fix 'overload' issue in deep check cycle detection
  - Minor updates

* Thu Jul 12 2018 Paul Howarth <paul@city-fan.org> - 0.000115-1
- Update to 0.000115
  - Fix warning on undefined note/diag
  - Improve an error message
- Switch upstream from search.cpan.org to metacpan.org

* Fri Apr 20 2018 Paul Howarth <paul@city-fan.org> - 0.000114-1
- Update to 0.000114
  - Switch spec to use the testing_done callback
  - Update copyright dates
  - Finish the Anatomy manual section
  - Finish the Tooling manual section

* Thu Mar 15 2018 Paul Howarth <paul@city-fan.org> - 0.000111-1
- Update to 0.000111
  - Add AsyncSubtest retrieval to hubs
  - Allow events from unattached processes in AsyncSubtest

* Mon Mar 12 2018 Paul Howarth <paul@city-fan.org> - 0.000108-1
- Update to 0.000106
  - Add rounded() and within() wrappers for approximate comparisons

* Wed Mar  7 2018 Paul Howarth <paul@city-fan.org> - 0.000106-1
- Update to 0.000106
  - Fix nesting bug in Test2::Workflow

* Tue Mar  6 2018 Paul Howarth <paul@city-fan.org> - 0.000104-1
- Update to 0.000104
  - Add verbosity to 'You must attach to an AsyncSubtest ...' errors
  - AsyncSubtest now works with UUIDs and adds other proper meta-data
  - Add Data::Dumper to dep list (GH#154)

* Wed Feb 14 2018 Paul Howarth <paul@city-fan.org> - 0.000100-1
- Update to 0.000100
  - Fix AsyncSubtest main event buffered/nesting values
  - Fix bug where AsyncSubtest vanishes with no error when finished after its
    parent ends
  - Fix AsyncSubtest plan to be at the right nesting, and buffered
  - Add support for 'precision' for floats (GH#150)

* Mon Dec 11 2017 Paul Howarth <paul@city-fan.org> - 0.000097-1
- Update to 0.000097
  - Discourage use of fragile thread features (rarely used)
  - Skip fragile/discouraged tests outside author testing
  - Document the above, and an env var to activate tests when desired
  - Documentation fixes

* Thu Nov 30 2017 Paul Howarth <paul@city-fan.org> - 0.000094-1
- Update to 0.000094
  - Minor test changes for thread safety

* Wed Nov 29 2017 Paul Howarth <paul@city-fan.org> - 0.000092-1
- Update to 0.000092
  - Ensure that objects are not used in Boolean contexts, second attempt
  - Make an AUTHOR_TEST require 5.20
  - Merge in Test2::Workflow
  - Merge in Test2::AsyncSubtest
  - Merge in Test2::Manual

* Mon Nov 20 2017 Paul Howarth <paul@city-fan.org> - 0.000084-1
- Update to 0.000084
  - Add Test2::Tools::Tester

* Thu Oct 26 2017 Paul Howarth <paul@city-fan.org> - 0.000083-1
- Update to 0.000083
  - Mark a float test TODO until the PR author can fix it

* Mon Oct 23 2017 Paul Howarth <paul@city-fan.org> - 0.000082-1
- Update to 0.000082
  - Add Test2::Compare::Float to handle floating point comparison issues with
    representation error
  - Add float() to Test2::Utils::Compare and import Test2::Compare::Float
  - Import and Export Test2::Utils::Compare::float in Test2::V0
  - Documentation fixes
  - Better 5.10.0/utf8 fix
  - VSTRING comparisons
  - Bag compare now handles duplicates better

* Mon Oct 16 2017 Paul Howarth <paul@city-fan.org> - 0.000080-1
- Update to 0.000080
  - Fix for TODO + new ok style
  - Fix UTF8 issue with perl 5.10.0

* Wed Sep 13 2017 Paul Howarth <paul@city-fan.org> - 0.000077-1
- Update to 0.000077
  - Add Test2::Tools::GenTemp

* Mon Sep 11 2017 Paul Howarth <paul@city-fan.org> - 0.000075-1
- Update to 0.000075
  - Add Test2::Plugin::Times
  - Add Test2::Event::Times
  - Fix some tests that were failing in yath

* Mon Jun 19 2017 Paul Howarth <paul@city-fan.org> - 0.000072-1
- Update to 0.000072
  - Introduce Test2::V# bundles
  - Deprecate Test2::Bundle::Extended
  - Test2::V0 added
  - Fix Test2::Mock doesn't accept non-ref values
  - Fix isa_ok overload issue

* Mon Mar 20 2017 Paul Howarth <paul@city-fan.org> - 0.000070-1
- Update to 0.000070
  - Revert Boolean overload fixes until they can be fixed
  - Do not mention Term::ReadKey in docs
  - Add Term::Size::Any to test report

* Fri Mar 17 2017 Paul Howarth <paul@city-fan.org> - 0.000069-1
- Update to 0.000069
  - Set the term size for all tests that use tables
  - Boolean overload fixes

* Wed Jan  4 2017 Paul Howarth <paul@city-fan.org> - 0.000067-1
- Update to 0.000067
  - Move sub_info to Sub::Info

* Tue Dec 20 2016 Paul Howarth <paul@city-fan.org> - 0.000065-1
- Update to 0.000065
  - Move Test2::Util::Table to Term::Table
  - AUTHOR_TESTING a fragile test

* Mon Dec 19 2016 Paul Howarth <paul@city-fan.org> - 0.000063-1
- Update to 0.000063
  - An event without a trace object would throw an exception when using
    Test2::Compare::Event and the comparison failed
  - Fix tests for small terminals (#106)
  - Enhance the table library
  - UTF8 plugin does not set STDERR/STDOUT

* Mon Nov 28 2016 Paul Howarth <paul@city-fan.org> - 0.000061-1
- Update to 0.000061
  - Fix mocked objects so that they respond properly to ->can when using AUTOLOAD
  - Fix some meta-files
  - Small build improvements
  - Minor fixes

* Mon Sep 26 2016 Paul Howarth <paul@city-fan.org> - 0.000060-1
- Update to 0.000060
  - Create Test2::Compare::Negatable
  - Add bool() for deep comparisons
  - Implicit end() for checks inside is()
  - Add try_ok to Tools/Exception
  - Export convert() in Test2::Compare
  - Make convert more flexible
  - Document how to write a compare tool with custom behavior
  - Fix some docs
  - Fix defer.t to work in Windows
  - Fix stack stomping bug triggered by certain Term::Readkey conditions

* Sun Aug 14 2016 Paul Howarth <paul@city-fan.org> - 0.000058-1
- Update to 0.000058
  - Make sure Test2::Compare::convert loads deps
  - Add contact info to docs

* Sun Jul 31 2016 Paul Howarth <paul@city-fan.org> - 0.000055-1
- Update to 0.000055
  - Spelling fix from Debian
  - Fix \d -> [0-9] in several places

* Fri Jul 29 2016 Paul Howarth <paul@city-fan.org> - 0.000054-1
- Update to 0.000054
  - Make bag check fail when given an empty array
  - Clean up bag diagnostics

* Tue Jul 19 2016 Paul Howarth <paul@city-fan.org> - 0.000052-1
- Update to 0.000052
  - Switch Extended bundle to use Importer
  - Add meta_check as alias for meta

* Sun Jul 10 2016 Paul Howarth <paul@city-fan.org> - 0.000050-1
- Update to 0.000050
  - Documentation fixes
  - Add U() quick check to Test2::Tools::Compare

* Mon Jul  4 2016 Paul Howarth <paul@city-fan.org> - 0.000048-1
- Update to 0.000048
  - ref-ref's can be used in deep comparisons
  - Fix mocking to override a base class's method
  - Fix global destruction warning
  - Minor test fix to keep 5.8 working

* Sat Jul  2 2016 Paul Howarth <paul@city-fan.org> - 0.000045-1
- Update to 0.000045
  - Restructure Delta.pm to try to solve read-only problem
  - Add DF() shortcut
  - Spelling and POD fixes

* Thu Jun 30 2016 Paul Howarth <paul@city-fan.org> - 0.000042-2
- Import from Fedora

* Tue Jun 28 2016 Petr Pisar <ppisar@redhat.com> - 0.000042-1
- 0.000042 bump

* Mon Jun 27 2016 Petr Pisar <ppisar@redhat.com> - 0.000038-1
- 0.000038 bump

* Mon Jun 20 2016 Petr Pisar <ppisar@redhat.com> - 0.000032-1
- 0.000032 bump

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.000030-2
- Perl 5.24 rebuild

* Wed May 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000030-1
- 0.000030 bump

* Mon May 02 2016 Petr Pisar <ppisar@redhat.com> - 0.000029-1
- 0.000029 bump

* Mon Apr 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000028-1
- 0.000028 bump

* Thu Apr 14 2016 Petr Pisar <ppisar@redhat.com> - 0.000027-1
- 0.000027 bump

* Mon Apr 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000026-1
- 0.000026 bump

* Tue Apr 05 2016 Petr Pisar <ppisar@redhat.com> - 0.000025-1
- 0.000025 bump

* Mon Mar 21 2016 Petr Pisar <ppisar@redhat.com> - 0.000024-1
- 0.000024 bump

* Fri Mar 18 2016 Petr Pisar <ppisar@redhat.com> - 0.000023-1
- 0.000023 bump

* Tue Mar 08 2016 Petr Pisar <ppisar@redhat.com> - 0.000022-1
- 0.000022 bump

* Mon Mar 07 2016 Petr Pisar <ppisar@redhat.com> - 0.000021-1
- 0.000021 bump

* Thu Feb 11 2016 Petr Pisar <ppisar@redhat.com> - 0.000020-1
- Specfile autogenerated by cpanspec 1.78
